Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1539837 - [RFE][tracker][Cinder] - Improve integration and support with storage using cinderlib
Summary: [RFE][tracker][Cinder] - Improve integration and support with storage using c...
Keywords:
Status: POST
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
urgent with 2 votes vote
Target Milestone: ---
: ---
Assignee: Rob Young
QA Contact: Shir Fishbain
URL:
Whiteboard:
Depends On: 1113414 1155275 1172354 1296880 1343676 1516330 1680369 1684889 1686280 1689884 1477496 1532546 1664588 1664740 1664742 1664748 1665922 1667002 1668722 1668727 1668749 1669042 1669047 1669830 1669978 1669997 1672065 1686538
Blocks: 798947 1258911 1647196 928820 1331544 1364869
TreeView+ depends on / blocked
 
Reported: 2018-01-29 17:32 UTC by Yaniv Lavi
Modified: 2019-04-03 14:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage
ylavi: ovirt-4.3+
ylavi: planning_ack+
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1025400 None NEW [RFE] Allow template export/import through Glance Storage Domain 2019-04-16 14:42:22 UTC
Red Hat Bugzilla 1029489 None CLOSED [RFE][oVirt] Export not exporting direct lun disk 2019-04-16 14:42:22 UTC
Red Hat Bugzilla 1069557 None NEW [RFE] disk clone: use xcopy if available (depends on platform BZ for qemu-img to support xcopy - bug 1482537) 2019-04-16 14:42:22 UTC
Red Hat Bugzilla 1082540 None CLOSED [RFE] If someone is using direct LUN(as a boot disk) then RHEV should allow to start vm without adding storage domain 2019-04-16 14:42:18 UTC
Red Hat Bugzilla 1095666 None NEW [RFE] Support read only VirtIO-SCSI direct LUNs in oVirt 2019-04-16 14:42:17 UTC
Red Hat Bugzilla 1113414 None NEW [RFE] - Manage floating\shared disks with snapshots 2019-04-16 14:42:17 UTC
Red Hat Bugzilla 1126945 None NEW [RFE][Cinder] - Add multipath for LUNs 2019-04-16 14:42:17 UTC
Red Hat Bugzilla 1155275 None NEW [RFE][Cinder] - Online update LUN size to the Guest after LUN resize 2019-04-16 14:42:17 UTC
oVirt gerrit 96991 master MERGED storage: Add database for managed volumes 2019-01-22 10:03:30 UTC
oVirt gerrit 97113 master MERGED managedvolume: support RBD local attachment 2019-01-22 14:04:50 UTC


Description Yaniv Lavi 2018-01-29 17:32:04 UTC
Description of problem:
Improve integration and support with the cinder service external provider. This should include:

- Providing Cinder standalone as a service.
- Support FC/ISCSI storage backends.
- Support Ceph. 
- Support Cinder volume with multipath support on the hypervisor.
- Support triggering vDisk live snapshots from engine, even if not managing them.
- Support migration from storage domains vDisk to Cinder based volume.
- Support migration between Cinder backends (retyping).
- Support ManageIQ cloud storage provider for oVirt infrastructure provider.
- Support snapshot tree representation and consistency groups management in ManageIQ.
- Support wipe after delete.
- Support downloading/uploading OVAs with Cinder volumes.

In different to the existing integration, we should treat Cinder volumes as externally managed objects that require minimal integration with engine for ease of use.

Comment 2 Yaniv Lavi 2018-05-16 10:52:22 UTC
Additional requirements to scope: 
- Download/upload volumes from Cinder.
- Download/upload OVA with Cinder volumes.

Comment 3 Yaniv Lavi 2018-05-16 11:10:31 UTC
Additional requirements to scope: 
- Using Cinder volumes without needing storage domain and SPM in the DC.
- Online update of Cinder volume re-size for the VM after external LUN resize via Cinder.
- Display and manage unattached/attached Cinder volumes with snapshots (UI plugin?).
- Host assisted Cinder volume retype (cold/live).
- Multipath for Cinder volumes.
- SSL support for Cinder external provider.
- Allow read only Cinder volumes.
-

Comment 5 Sandro Bonazzola 2019-01-28 09:43:52 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 6 Konstantin Shalygin 2019-02-19 04:18:08 UTC
Sandro, Yaniv

Please, keep in mind that before drop current cinder integration we need some time and some way to migrate current Ceph integrations.
On the whole world not a couple of clusters like this. I know clusters with hundreds Tbytes and VMs, my cluster is 0.5Pb, 210 librbd clients (oVirt disks), 110 VMs, 1 Storage Providers with 4 auth keys (Cinder volume types aka Ceph pools).

Thanks.

Comment 7 Logan Kuhn 2019-02-19 13:12:45 UTC
I second what Konstantin said.  We have a similar sized deployment, 530T, 290 libvirt clients, over 700 RBDs and we really need a viable upgrade path from 4.2 with cinder as an external provider to 4.3 with cinderlib.

Comment 8 rumanzo 2019-02-20 09:11:50 UTC
I am glad to see that there is a movement towards simplifying the use of such storage facilities as ceph.
As already mentioned, it would be good to work out the migration procedure from the solution ovirt + cinder.
Regarding item "Support migration from storage domains vDisk to Cinder based volume." - it's great, but still it would be nice to work out the creation of virtual machines from openstack glance, now ovirt can create vm from glance image to hosted_storage only, and not support external providers.
And I know that this is not included in this thread, but is it possible to initiate the implementation of a hosted_engine installation on a ceph rbd/cephfs?


Note You need to log in before you can comment on or make changes to this bug.